import ConfigProvider from 'antd/lib/config-provider';
import '@ant-design/v5-patch-for-react-19';

export const Provider = ({ children }: { children: React.ReactNode }) => {
  return (
    <ConfigProvider
      theme={{
        token: {
          colorPrimary: '#1677ff',
          colorTextBase: '#ffffff',
          colorBgBase: '#1f1f1f',
          colorBgContainer: '#2c2c2c',
          colorBorder: '#3a3a3a',
        },
      }}>
      {children}
    </ConfigProvider>
  );
};
